/* packet-HSMS.c
 * Routines for HSMS protocol packet disassembly
 * By Dirk Voss <DirkVoss@DirkVoss.com>
 * Copyright 2012 Dirk Voss
 *
 * $Id: packet-HSMS.c 42367 2012-04-30 23:03:51Z guy $
 *
 * Wireshark - Network traffic analyzer
 * By Gerald Combs <gerald@wireshark.org>
 * Copyright 1998 Gerald Combs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <epan/packet.h>
#include <epan/dissectors/packet-tcp.h>
#include <epan/prefs.h>

#define HSMS_PORT 5000

static int proto_HSMS = -1;

static void
dissect_HSMS(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree)
{

	col_set_str(pinfo->cinfo, COL_PROTOCOL, "HSMS");
	col_clear(pinfo->cinfo, COL_INFO);					/* clear out info column */


}

void
proto_register_HSMS(void)
{
    proto_HSMS = proto_register_protocol(
		"HSMS Protocol",
		"HSMS",
		"hsms");
}

void
proto_reg_handoff_HSMS(void)
{
    dissector_handle_t HSMS_handle;

    HSMS_handle = create_dissector_handle(dissect_HSMS, proto_HSMS);
    dissector_add_uint("tcp.port", HSMS_PORT, HSMS_handle);
}
